<template>
	<!-- 性能曲线 -->
	<el-row :gutter="8" class="h100">
		<el-col :span="4" :xs="24" class="h100">
			<el-card shadow="hover" class="h100 left-tree-card" v-loading="treeLoading">
				<LeftTreeByMgr :treedata="listTreeData" title-name="泵站列表" :current-node-key="currentListID" @click="handleClickNode">
				</LeftTreeByMgr>
			</el-card>
		</el-col>
		<el-col :span="20" :xs="24" class="flex-column h100">
			<RunPointAnalysisCom ref="runPointAnalysisRef" :currentListID="currentListID" :pumpTitle="state.echartTitle" />
		</el-col>
	</el-row>
</template>

<script setup lang="ts">
import { computed, nextTick, onMounted, reactive, ref } from 'vue';
import { GetStationList } from '/@/api/dispatch/dispatch';
import LeftTreeByMgr from '/@/components/tree/leftTreeByMgr.vue';
import RunPointAnalysisCom from '/@/projectCom/curve/runPoint/RunPointAnalysisCom.vue';
// 定义变量内容
const state = reactive({
	echartTitle: '',
});
const runPointAnalysisRef = ref();
//#region ====================== 左侧树数据，tree init ======================

const treeLoading = ref(false);
const listTreeData = ref([]);
const currentTreeNode = ref(null);
const currentListID = computed(() => currentTreeNode.value?.ID);
const handleClickNode = (data) => {
	currentTreeNode.value = data;
	nextTick(() => {
		runPointAnalysisRef.value.getChartList();
	});
};
const getListTreeData = async () => {
	treeLoading.value = true;
	const res = await GetStationList().finally(() => {
		treeLoading.value = false;
	});
	if (res?.Code === 0) {
		const resData = (res.Data || []) as [];
		listTreeData.value = resData;
		const firstListTreeNode = listTreeData.value[0];
		if (firstListTreeNode) {
			handleClickNode(firstListTreeNode);
		} else {
			currentTreeNode.value = null;
		}
	}
};

//#endregion
onMounted(() => {
	getListTreeData();
});
</script>
import { GetStationList } from '/@/api/dispatch/dispatch';
